View Issue Details

IDProjectCategoryView StatusLast Update
0004623SOGoWeb Mailpublic2020-04-30 09:08
ReporterASolana Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version4.0.4 
Fixed in Version4.3.1 
Summary0004623: Iphone/Ipad with horizontal display: action icons aren't displayed for selected messages
Description

Iphone/Ipad with horizontal display doesn't show action icons for selected messages

I've attached screen captures.

Steps To Reproduce
  1. Use an Iphone to log in Sogo webmail server.

  2. Iphone in vertical display

  3. Select some messages
    Action icons for selected messages are displayed

  4. Turn Iphone display to horizontal mode

  5. Action icons for selected messages are hidden

TagsNo tags attached.

Activities

ASolana

ASolana

2018-12-13 07:39

reporter  

ASolana

ASolana

2019-08-01 05:07

reporter   ~0013687

This issue is still appearing in SOGo 4.0.8

TimVevida

TimVevida

2020-02-14 10:45

reporter   ~0014162

This issue is not related to iPhones, but to the width of the display.

That being said, adding the classes .md-flex and .sg-no-wrap to the label "n selected" in the toolbar causes it to shrink and show the buttons.

Example image added (language is Dutch, so it says "ges..." instead of "sel...")

Related Changesets

sogo: master 174b44ed

2020-04-30 08:56:00

francis

Details Diff
fix(web(css)): truncate text of toolbar in multi-selection mode

Fixes 0004623
Affected Issues
0004623
mod - UI/Templates/ContactsUI/UIxContactFoldersView.wox Diff File
mod - UI/Templates/MailerUI/UIxMailFolderTemplate.wox Diff File

Issue History

Date Modified Username Field Change
2018-12-13 07:39 ASolana New Issue
2018-12-13 07:39 ASolana File Added: iphone.screen.captures.zip
2019-08-01 05:07 ASolana Note Added: 0013687
2020-02-14 10:45 TimVevida File Added: Screen Shot SOGo toolbar shrunk.png
2020-02-14 10:45 TimVevida Note Added: 0014162
2020-04-30 09:02 francis Changeset attached => sogo master 174b44ed
2020-04-30 09:02 francis Assigned To => francis
2020-04-30 09:02 francis Resolution open => fixed
2020-04-30 09:08 francis Status new => resolved
2020-04-30 09:08 francis Fixed in Version => 4.3.1